Extend API, REST: StacklandCluster.GetStacklandClusterConfigs
Статья создана
Обновлена 1 сентября 2026 г.
Returns a zip archive with the cluster config.yaml and secrets.yaml.
HTTP request
GET https://baremetal.api.cloud.yandex.net/v2/clouds/{cloudId}/folders/{folderId}/extend/stacklandClusters/{stacklandClusterId}:configs
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. |
|
folderId |
string Required field. ID of the parent folder. |
|
stacklandClusterId |
string Required field. ID of the cluster to retrieve configs. |
Response
HTTP Code: 200 - OK
{
"filename": "string",
"content": "string"
}
|
Field |
Description |
|
filename |
string Name of the returned archive. |
|
content |
string (bytes) Zip archive with config.yaml and secrets.yaml. |